WebSphereProcessMonitoringPolicy (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereProcessMonitoringPolicy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereProcessMonitoringPolicy

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereProcessMonitoringPolicy

extends LogicalElement

Settings for a WebSphere Server process

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  WASPMON
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getAutoRestart()`
`int` | `getMaxStartupAttempts()`
`java.lang.String` | `getNodeRestartState()`
`WebSphereProcessDefinition` | `getParent()`
`int` | `getPingIntervalSecs()`
`int` | `getPingTimeoutMSecs()`
`boolean` | `hasAutoRestart()`
`boolean` | `hasMaxStartupAttempts()`
`boolean` | `hasNodeRestartState()`
`boolean` | `hasParent()`
`boolean` | `hasPingIntervalSecs()`
`boolean` | `hasPingTimeoutMSecs()`
`void` | `setAutoRestart(boolean autoRestart)`
`void` | `setMaxStartupAttempts(int maxStartupAttempts)`
`void` | `setNodeRestartState(java.lang.String nodeRestartState)`
`void` | `setParent(WebSphereProcessDefinition parent)`
`void` | `setPingIntervalSecs(int pingIntervalSecs)`
`void` | `setPingTimeoutMSecs(int pingTimeoutMSecs)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereProcessDefinition getParent()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Evaluates" reverse="false"

### setParent

    void setParent(WebSphereProcessDefinition parent)

### hasParent

    boolean hasParent()

### getMaxStartupAttempts

    int getMaxStartupAttempts()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxStartupAttempts

    void setMaxStartupAttempts(int maxStartupAttempts)

### hasMaxStartupAttempts

    boolean hasMaxStartupAttempts()

### getPingIntervalSecs

    int getPingIntervalSecs()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPingIntervalSecs

    void setPingIntervalSecs(int pingIntervalSecs)

### hasPingIntervalSecs

    boolean hasPingIntervalSecs()

### getPingTimeoutMSecs

    int getPingTimeoutMSecs()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPingTimeoutMSecs

    void setPingTimeoutMSecs(int pingTimeoutMSecs)

### hasPingTimeoutMSecs

    boolean hasPingTimeoutMSecs()

### getAutoRestart

    boolean getAutoRestart()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAutoRestart

    void setAutoRestart(boolean autoRestart)

### hasAutoRestart

    boolean hasAutoRestart()

### getNodeRestartState

    java.lang.String getNodeRestartState()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNodeRestartState

    void setNodeRestartState(java.lang.String nodeRestartState)

### hasNodeRestartState

    boolean hasNodeRestartState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD